using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;
using System.Collections;


public partial class _Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{

	}

	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);

		RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
	}

	void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
	{
		DataTable table = new DataTable();
		table.Columns.Add("ID");
		table.Columns.Add("Item");
		table.Columns.Add("CustomColumn1");
		for (int i = 0; i < 10; i++)
		{
			table.Rows.Add(i.ToString(), "This is a very long looooooooooong item " + (i + 1).ToString(), "Row " + (i + 1).ToString());
		}
		RadGrid1.DataSource = table;

	}
}